> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a file



## OpenAPI

````yaml put /file/{id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /file/{id}:
    put:
      tags:
        - Files
      summary: Edit a file
      operationId: f3651dca4f89c52a88d1aa4886aaaa61
      parameters:
        - name: id
          in: path
          description: ID of the file to be edited
          required: true
          schema:
            type: integer
      requestBody:
        description: File data that needs to be updated
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  type: integer
                  example: 1
                file_name:
                  description: The name of the file
                  type: string
                type:
                  type: string
                  example: image
                permissions:
                  type: string
                  example: donor
              type: object
      responses:
        '200':
          description: Successfully Edited File
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Edited File
                type: object
        '400':
          description: 'Error: Bad Request'
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Bad Request.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````